// OmronTempCtrlE5CN.h: interface for the COmronTempCtrlE5CN class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include <string>

#include "OmronCompoWayF.h"

#ifdef  BUILD_COMMDLL
#define     COMMDLL_DLLCLASS    __declspec(dllexport)
#else
#define     COMMDLL_DLLCLASS    __declspec(dllimport)
#endif

class COMMDLL_DLLCLASS COmronTempCtrlE5CN : public COmronCompoWayF
{
public:
    bool ReadCurrentTemperature(std::string csNodeNo, double &dCurrentTemp, DWORD dwTimeout = 2000);
    bool WriteSetTemperature(std::string csNodeNo, double dSetTemp, DWORD dwTimeout = 2000);
    bool ReadSetTemperature(std::string csNodeNo, double &dSetTemp, DWORD dwTimeout = 2000);
    void DecodeReceiveData();
    COmronTempCtrlE5CN(std::string csNodeNo = "00");
    virtual ~COmronTempCtrlE5CN();

private:
    std::string m_strSetTemperature;
    std::string m_strCurrentTemperature;
    std::string m_strVariableAdd;
    std::string m_strVariableType;

    CMutex m_mutexOmronTempCtrl;
};

